         import java.awt.*;
      
        class BaseFrame3 extends Frame 
        {
         String message = "This is a Window";
         TextDialog dl;      

         BaseFrame3(String title) 
         {
           super(title);
           setFont(new Font("Helvetica", Font.BOLD, 12));
      
           MenuBar mb = new MenuBar();
           Menu m = new Menu("Colors");
           m.add(new MenuItem("Red"));
           m.add(new MenuItem("Blue"));
           m.add(new MenuItem("Green"));
           m.add(new MenuItem("-"));
           m.add(new CheckboxMenuItem("Reverse Text"));
           m.add(new MenuItem("Set Text..."));
           mb.add(m);
           setMenuBar(mb);

           dl = new TextDialog(this, "Enter Text", true);
           dl.resize(150,100);
        }
     
        public boolean action(Event evt, Object arg) 
        {
          String label = (String)arg;
          if (evt.target instanceof MenuItem) 
          {
          	if (label.equals("Red")) 
	      setBackground(Color.red);
               else if (label.equals("Blue")) 
	      setBackground(Color.blue);
               else if (label.equals("Green")) 
	      setBackground(Color.green);
               else if (label.equals("Set Text...")) 
	       dl.show();
               else if (label.equals("Reverse Text")) 
               {
              	      if (getForeground() == Color.black) 
	      {
                            setForeground(Color.white);
                      } 
	      else 
 	            setForeground(Color.black);
                }
                repaint();
                return true;
           } 
           else 
                return false;
        }
      
       public void paint(Graphics g) 
       {
          g.drawString(message, 10, 10);
       }
     
       public boolean handleEvent(Event evt) 
       {
          if (evt.id == Event.WINDOW_DESTROY) 
	hide();
           return super.handleEvent(evt);
       }
     }

